Information on source package catdoc

Available versions

ReleaseVersion
jessie (security)0.94.4-1.1+deb8u1
stretch (security)1:0.94.3~git20160113.dbc9ec6+dfsg-1+deb9u1
buster1:0.95-4.1
sid1:0.95-4.1

Open unimportant issues

BugjessiestretchbustersidDescription
CVE-2019-7233vulnerablevulnerablevulnerablevulnerableIn libdoc through 2019-01-28, doc2text in catdoc.c has a NULL pointer ...
CVE-2019-7156vulnerablevulnerablevulnerablevulnerableIn libdoc through 2019-01-28, calcFileBlockOffset in ole.c allows divi ...
CVE-2018-20453vulnerablevulnerablevulnerablevulnerableThe getlong function in numutils.c in libdoc through 2017-10-23 has a ...
CVE-2018-20451vulnerablevulnerablevulnerablevulnerableThe process_file function in reader.c in libdoc through 2017-10-23 has ...

Resolved issues

BugDescription
CVE-2017-11110The ole_init function in ole.c in catdoc 0.95 allows remote attackers ...
CVE-2003-0193msxlsview.sh in xlsview for catdoc 0.91 and earlier allows local users ...

Security announcements

DSA / DLADescription
DLA-1037-1catdoc - security update
DSA-3917-1catdoc - security update
DSA-3917-1catdoc - security update
DSA-575-1catdoc - insecure temporary file

Search for package or bug name: Reporting problems